
package org.sky.scientific.service;

import org.sky.scientific.pojo.entity.SettingEntity;

import java.util.List;

/**
 *  设置 服务类
 *
 * @author Kd
 * @since 2025-07-01
 */
public interface SettingService {

	SettingEntity detail(String year);

	boolean submit(SettingEntity dto);

	Boolean fetchLastYearData(SettingEntity settingEntity);

	/**
	 * 火炬发展年报
	 * @param yearMin
	 * @param yearMax
	 * @return
	 */
	List<SettingEntity> torchDevList(String yearMin, String yearMax);
}
